Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui
Class SoapUI

    java.lang.Object
      com.eviware.soapui.SoapUI

    public class SoapUI

extends java.lang.Object

Main SoapUI entry point.

Author:
  Ole.Matzura For version 0.6

Nested Class Summary
`class` | `SoapUI.InternalNavigatorListener`
`static class` | `SoapUI.SoapUITheme` Adapted theme for soapUI Look and Feel

Field Summary
`static boolean` | `checkedGroovyLogMonitor`
`static java.lang.String` | `CURRENT_SOAPUI_WORKSPACE`
`static java.lang.String` | `DEFAULT_WORKSPACE_FILE`
`static org.apache.log4j.Logger` | `log`
`static java.lang.String` | `SOAPUI_SPLASH_GIF`
`static java.lang.String` | `SOAPUI_VERSION`

Constructor Summary
`SoapUI()`

Method Summary
`java.awt.Component` | `buildLogPanel(boolean hasDefault, java.lang.String defaultName)`
`static org.apache.log4j.Logger` | `ensureGroovyLog()`
`static java.net.URL` | `findSplash(java.lang.String filename)`
`static SoapUIActionRegistry` | `getActionRegistry()`
`static SoapUIDesktop` | `getDesktop()`
`static java.util.Collection<? extends javax.xml.namespace.QName>` | `getExcludedTypes()`
`javax.swing.JFrame` | `getFrame()`
`static Log4JMonitor` | `getLogMonitor()`
`static javax.swing.JMenuBar` | `getMenuBar()`
`static MockEngine` | `getMockEngine()`
`static Navigator` | `getNavigator()`
`static java.lang.String` | `getSchemaDirectory()`
`static Settings` | `getSettings()`
`static TestMonitor` | `getTestMonitor()`
`static Workspace` | `getWorkspace()`
`static void` | `initSettings(java.lang.String fileName)` Initializes the soapui settings from the specified file.
`static void` | `initSoapUILog()`
`static void` | `initSoapUILookAndFeel()`
`static boolean` | `isStandalone()`
`static void` | `loadExtLibs()`
`static void` | `log(java.lang.Object msg)`
`static void` | `logError(java.lang.Throwable e)`
`static void` | `main(java.lang.String[] args)`
`static void` | `prepareSwingUI()`
`static void` | `saveSettings()`
`static void` | `setDesktop(SoapUIDesktop desktop)`
`static void` | `setLogMonitor(Log4JMonitor monitor)`
`static void` | `setNavigator(Navigator navigator)`
`static void` | `setStandalone(boolean b)`
`static void` | `setTestMonitor(TestMonitor monitor)`
`static SoapUI` | `startSoapUI(java.lang.String[] args, java.lang.String title, java.net.URL splashImage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CURRENT_SOAPUI_WORKSPACE

    public static final java.lang.String CURRENT_SOAPUI_WORKSPACE

### log

    public static final org.apache.log4j.Logger log

### SOAPUI_VERSION

    public static final java.lang.String SOAPUI_VERSION

See Also:
  Constant Field Values

### DEFAULT_WORKSPACE_FILE

    public static final java.lang.String DEFAULT_WORKSPACE_FILE

See Also:
  Constant Field Values

### SOAPUI_SPLASH_GIF

    public static final java.lang.String SOAPUI_SPLASH_GIF

See Also:
  Constant Field Values

### checkedGroovyLogMonitor

    public static boolean checkedGroovyLogMonitor

Constructor Detail

### SoapUI

    public SoapUI()

Method Detail

### getWorkspace

    public static Workspace getWorkspace()

### getFrame

    public javax.swing.JFrame getFrame()

### buildLogPanel

    public java.awt.Component buildLogPanel(boolean hasDefault,
                                            java.lang.String defaultName)

### log

    public static void log(java.lang.Object msg)

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### findSplash

    public static java.net.URL findSplash(java.lang.String filename)

### startSoapUI

    public static SoapUI startSoapUI(java.lang.String[] args,
                                     java.lang.String title,
                                     java.net.URL splashImage)
                              throws javax.xml.parsers.FactoryConfigurationError,
                                     SoapUIException

  Throws:
    `javax.xml.parsers.FactoryConfigurationError`
    `SoapUIException`

### isStandalone

    public static boolean isStandalone()

### loadExtLibs

    public static void loadExtLibs()

### prepareSwingUI

    public static void prepareSwingUI()

### initSoapUILookAndFeel

    public static void initSoapUILookAndFeel()

### getMenuBar

    public static javax.swing.JMenuBar getMenuBar()

### initSoapUILog

    public static void initSoapUILog()
                              throws javax.xml.parsers.FactoryConfigurationError

  Throws:
    `javax.xml.parsers.FactoryConfigurationError`

### logError

    public static void logError(java.lang.Throwable e)

### ensureGroovyLog

    public static org.apache.log4j.Logger ensureGroovyLog()

### getTestMonitor

    public static TestMonitor getTestMonitor()

### setTestMonitor

    public static void setTestMonitor(TestMonitor monitor)

### getLogMonitor

    public static Log4JMonitor getLogMonitor()

### setLogMonitor

    public static void setLogMonitor(Log4JMonitor monitor)

### getSettings

    public static Settings getSettings()

### saveSettings

    public static void saveSettings()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### initSettings

    public static void initSettings(java.lang.String fileName)

  Initializes the soapui settings from the specified file. Must be called on startup before any model items are created.

  Parameters:
    `fileName` -

### getDesktop

    public static SoapUIDesktop getDesktop()

### setDesktop

    public static void setDesktop(SoapUIDesktop desktop)

### getNavigator

    public static Navigator getNavigator()

### getActionRegistry

    public static SoapUIActionRegistry getActionRegistry()

### setNavigator

    public static void setNavigator(Navigator navigator)

### getMockEngine

    public static MockEngine getMockEngine()

### getSchemaDirectory

    public static java.lang.String getSchemaDirectory()

### getExcludedTypes

    public static java.util.Collection<? extends javax.xml.namespace.QName> getExcludedTypes()

### setStandalone

    public static void setStandalone(boolean b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.